package org.cs.snc;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;


public class App extends Application {

    /* ******************************************************************************************* */
    // Function Name: start                                                                        //
    // Return Type: void                                                                           //
    // Parameter: javafx.stage.Stage                                                               //
    // Description: The start function is required to override when extending the JavaFX           //
    //              Application class. JavaFX creates an application thread for running the        //
    //              application start method. Creation and modification of JavaFX Scene and Stage  //
    //              objects must be done on the JavaFX application thread. Views defined by a      //
    //              .fxml file are loaded to the current stage/window with the FXMLLoader.load     //
    //              function. The Stage.show() function must be called, or the application will    //
    //              but will not be displayed to the screen.                                       //
    /* ******************************************************************************************* */
    @Override
    public void start(Stage window) throws IOException {
        Parent root = FXMLLoader.load(App.class.getResource("fxml/InfoSceneView.fxml"));
        Scene scene = new Scene(root);

        window.setScene(scene);
        window.setResizable(false);
        window.setTitle("Image Reconstruction");
        window.show();
    }


    public static void main(String[] args) {
        launch(args);
    }
}