package org.cs.snc;

import java.util.concurrent.Callable;

public class EvolveThread implements Callable<Individual> {

    private final Individual[] generation;
    private static final int tournamentSize = 10;


    /********************************* Constructor **********************************/
    public EvolveThread(Individual[] generation) {
        this.generation = generation;
    }



    /******************************* Public Functions *******************************/
    @Override
    public Individual call() {
        Individual mother = tournamentSelection();
        Individual father = tournamentSelection();
        return new Individual(mother, father);
    }



    /******************************* Private Functions *******************************/
    private Individual tournamentSelection() {
        Individual[] tournament = new Individual[tournamentSize];
        for(int i = 0; i < tournamentSize; i++) {
            int randomID = (int)(Math.random() * this.generation.length);
            tournament[i] = this.generation[randomID];
        }

        Individual child = tournament[0];
        for(int i = 1; i < tournament.length; i++) {
            if(child.getFitness() > tournament[i].getFitness()) {
                child = tournament[i];
            }
        }

        return new Individual(child);
    }
}
